Subject: Re: [bitcoin-dev] Add a moving checkpoint to the Bitcoin protocol

From: Alistair Mann <[email-masked]>
Date: Wed, 31 Jul 2019 14:59:33 +0100

On Wednesday 31 Jul 2019 12:28:58 Kenshiro [] via bitcoin-dev wrote:

> I would like to propose that a "moving checkpoint" is added to the Bitcoin
> protocol. It's a very simple rule already implemented in NXT coin:
> 
> - A node will ignore any new block under nodeBlockHeight - N, so the
> blockchain becomes truly immutable after N blocks, even during a 51% attack
> which thanks to the moving checkpoint can't rewrite history older than the
> last N blocks.

How would a (potentially, state-sponsored) netsplit lasting longer than N be 
handled?  
-- 
Alistair Mann